Bug 893318 - 'man qemu' should be replaced by "man qemu-kvm"
'man qemu' should be replaced by "man qemu-kvm"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 01:06 EST by Qian Guo
Modified: 2014-06-17 23:20 EDT (History)
7 users (show)

See Also:
Fixed In Version: qemu-kvm-1.4.0-3.el7.x86_64.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:24:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qian Guo 2013-01-09 01:06:05 EST
Description of problem:
Currently, the rhel7 qemu-kvm help is "man qemu" not "man qemu-kvm", to make clear and distinguish from other qemu based command, "man qemu" should be replaced by "man qemu-kvm" just like previous rhel version.

Version-Release number of selected component (if applicable):
qemu-kvm version is qemu-kvm-1.3.0-3.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.To see the help of qemu-kvm 
# man qemu-kvm
No manual entry for qemu-kvm
2.
3.  
Actual results:
No entry when using "man qemu-kvm", but can get it by "man qemu".

Expected results:
replace "man qemu" by "man qemu-kvm"

Additional info:
Comment 2 Paolo Bonzini 2013-03-15 08:26:03 EDT
Related patches in RHEL6 qemu-kvm:

# Change datadir to /usr/share/qemu-kvm
Patch1000: qemu-change-share-suffix.patch
# Install manpage as qemu-kvm(1)
Patch1001: qemu-rename-manpage.patch
# Change SASL server name to qemu-kvm
Patch1002: qemu-rename-sasl-server-name.patch
Comment 3 Miroslav Rezanina 2013-04-04 02:25:34 EDT
(In reply to comment #2)
> Related patches in RHEL6 qemu-kvm:
> 
> # Change datadir to /usr/share/qemu-kvm
> Patch1000: qemu-change-share-suffix.patch
> # Install manpage as qemu-kvm(1)
> Patch1001: qemu-rename-manpage.patch
> # Change SASL server name to qemu-kvm
> Patch1002: qemu-rename-sasl-server-name.patch

Do we really need all these patches? Cause current rhel7 uses /usr/share/qemu. Or want we change this so qemu-kvm is used??? This would require more complex fix that can be copied from RHEL6.
Comment 4 Paolo Bonzini 2013-04-04 07:03:20 EDT
Yes, everything that refers to qemu should use qemu-kvm.
Comment 5 Miroslav Rezanina 2013-04-23 05:41:24 EDT
Fixed in version qemu-kvm-1.4.0-3.el7.x86_64.rpm
Comment 7 mazhang 2014-01-14 02:10:02 EST
Test this bug with latest qemu-kvm, this bug has been fixed.

Result:
[root@amd-B95-8-1 ~]# rpm -qa |grep qemu
qemu-img-1.5.3-35.el7.x86_64
ipxe-roms-qemu-20130517-1.gitc4bce43.el7.noarch
qemu-kvm-common-rhev-1.5.3-35.el7.x86_64
qemu-kvm-rhev-debuginfo-1.5.3-35.el7.x86_64
qemu-kvm-tools-1.5.3-35.el7.x86_64
qemu-kvm-rhev-1.5.3-35.el7.x86_64
[root@amd-B95-8-1 ~]# man qemu
No manual entry for qemu
[root@amd-B95-8-1 ~]# man qemu-kvm
QEMU(1)                                                                                                     QEMU(1)

NAME
       qemu-doc - QEMU Emulator User Documentation

SYNOPSIS
       usage: qemu-system-i386 [options] [disk_image]

DESCRIPTION
       The QEMU PC System emulator simulates the following peripherals:

       -   i440FX host PCI bridge and PIIX3 PCI to ISA bridge

       -   Cirrus CLGD 5446 PCI VGA card or dummy VGA card with Bochs VESA extensions (hardware level, including
           all non standard modes).

       -   PS/2 mouse and keyboard

       -   2 PCI IDE interfaces with hard disk and CD-ROM support

       -   Floppy disk

       -   PCI and ISA network adapters

       -   Serial ports

       -   Creative SoundBlaster 16 sound card

       -   ENSONIQ AudioPCI ES1370 sound card

       -   Intel 82801AA AC97 Audio compatible sound card

       -   Intel HD Audio Controller and HDA codec

       -   Adlib (OPL2) - Yamaha YM3812 compatible chip

       -   Gravis Ultrasound GF1 sound card

       -   CS4231A compatible sound card
 Manual page qemu-kvm(1) line 1 (press h for help or q to quit)
Comment 9 Ludek Smid 2014-06-13 07:24:51 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.